<?php
include 'funcs.php';

if( !isset($_POST['submit']) )
{
	$msg_texte = $msg_auteur = '';
	$erreur = 0;
}
else
{
	$msg_auteur = isset($_POST['auteur']) ? ( get_magic_quotes_gpc() ? stripslashes($_POST['auteur']) : $_POST['auteur'] ) : '';
	$msg_texte = isset($_POST['texte']) ? ( get_magic_quotes_gpc() ? stripslashes($_POST['texte']) : $_POST['texte'] ) : '';
	$erreur = 0;
	
	if( empty($msg_auteur) || empty($msg_texte) )
		$erreur = 1;
		
	if(!$erreur)
	{
		preparer_donnees( $msg_auteur, $msg_texte );
	}
	
	echo stripslashes($msg_auteur) . '<br><hr>';
	echo stripslashes($msg_texte) . '<br><hr>';
	
	unpreparer_donnees( $msg_auteur, $msg_texte );
}
?>
	
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html>
	
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	
<link href="style.css" type="text/css" rel="stylesheet">
<script language="javascript" type="text/javascript" src="funcs.js"></script>
	
<title>Formulaire</title>
</head>
	
<body bgcolor="#F5F5F5">

<form name="formulaire" method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
	
<table cellpadding="5" border="0">
	<tr>
		<td><input name="" type="button" value="Gras" onClick="ajouter_txt('g', 'balise');" onMouseOver="info_code('in', 'g');" onMouseOut="info_code('out', '');" style="font-weight:bold; font-size: 9px;"></td>
		<td><input name="" type="button" value="Italique" onClick="ajouter_txt('i', 'balise');" onMouseOver="info_code('in', 'i');" onMouseOut="info_code('out', '');" style="font-style:italic; font-size: 9px;"></td>
		<td><input name="" type="button" value="Soulign&eacute;" onClick="ajouter_txt('s', 'balise');" onMouseOver="info_code('in', 's');" onMouseOut="info_code('out', '');" style="text-decoration: underline; font-size: 9px;"></td>
		<td><input name="" type="button" value="Liste" onClick="ajouter_txt('liste', 'balise');" onMouseOver="info_code('in', 'liste');" onMouseOut="info_code('out', '');" style="font-size: 9px;"></td>
		<td><input name="" type="button" value="URL" onClick="ajouter_txt('url', 'balise');" onMouseOver="info_code('in', 'url');" onMouseOut="info_code('out', '');" style="font-size: 9px;"></td>
		<td><input name="" type="button" value="Mail" onClick="ajouter_txt('mail', 'balise');" onMouseOver="info_code('in', 'mail');" onMouseOut="info_code('out', '');" style="font-size: 9px;"></td>
	</tr>
							
	<tr>
		<td colspan="6" align="center"><input name="" type="button" value="Citation" onClick="ajouter_txt('cit', 'balise');" onMouseOver="info_code('in', 'cit');" onMouseOut="info_code('out', '');" style="font-size: 9px;"></td>
	</tr>
				
	<tr>
		<td colspan="3" align="left">
		<span class="main_texte">Taille du texte:</span>
		<select name="taille_txt" style="font-size: 9px; background-color: #FAFAFA;" onChange="ajouter_txt(this.form.taille_txt.options[this.form.taille_txt.selectedIndex].value, 'taille_txt');">
		<option value="t_petit">Tr&egrave;s petit</option>
		<option value="petit">Petit</option>
		<option value="moyen" selected>Moyen</option>
		<option value="grand">Grand</option>
		<option value="t_grand">Tr&egrave;s grand</option>
		</select>
		</td>
								
		<td colspan="3" align="right">
		<span class="main_texte">Couleur:</span>
		<select name="couleurs" style="font-size: 9px; background-color: #FAFAFA;" onChange="ajouter_txt(this.form.couleurs.options[this.form.couleurs.selectedIndex].value, 'couleur');">
		<option style="color:#FFFFFF;" value="blanc">Blanc</option>
		<option style="color:#0000FF;" value="bleu">Bleu</option>
		<option style="color:#0E05A9;" value="bleu_f">Bleu fonc&eacute;</option>
		<option style="color:#68D1F9;" value="cyan">Cyan</option>
		<option style="color:#FFFF00;" value="jaune">Jaune</option>
		<option selected style="color:#000000;" value="noir">Noir</option>
		<option style="color:#F3C061;" value="orange">Orange</option>
		<option style="color:#FD8AEC;" value="rose">Rose</option>
		<option style="color:#FF0000;" value="rouge">Rouge</option>
		<option style="color:#00FF00;" value="vert">Vert</option>
		<option style="color:#749962;" value="vert_f">Vert fonc&eacute;</option>
		</select>
		</td>
	</tr>
				
	<tr valign="bottom">
		<td><a href="#" onMouseDown="ajouter_txt('angel', 'smiley');"><img src="images/smileys/angel.gif" alt=":angel:"></a></td>
		<td><a href="#" onMouseDown="ajouter_txt('biggrin', 'smiley');"><img src="images/smileys/biggrin.gif" alt=":biggrin:"></a></td>
		<td><a href="#" onMouseDown="ajouter_txt('confused', 'smiley');"><img src="images/smileys/confused.gif" alt=":confused:"></a></td>
		<td><a href="#" onMouseDown="ajouter_txt('mad', 'smiley');"><img src="images/smileys/mad.gif" alt=":mad:"></a></td>
		<td><a href="#" onMouseDown="ajouter_txt('neutral', 'smiley');"><img src="images/smileys/neutral.gif" alt=":neutral:"></a></td>
		<td><a href="#" onMouseDown="ajouter_txt('no', 'smiley');"><img src="images/smileys/no.gif" alt=":no:"></a></td>
	</tr>
				
	<tr valign="top">
		<td colspan="6" align="center">
		<a href="#" onClick="plusSmileys();">Plus de smileys</a><hr size="1" width="100%">
		</td>
	</tr>
				
	<tr valign="top">
		<td colspan="6">
		<span id="info_code" class="main_texte"></span>
		</td>
	</tr>
				
	<tr>
		<td colspan="6">
		<?php
		if($erreur == 1)
			echo '<span class="main_erreur">Tous les champs doivent tres remplis</span><br><br>';
		?>
		<span class="main_texte" style="font-weight: bold;">Votre pseudo: </span><br>
		<input name="auteur" type="text" maxlength="32" style="width: 200px;" value="<?php echo $msg_auteur; ?>"><br><br>
			
		<span class="main_texte" style="font-weight: bold;">Votre message: </span><br>
		<textarea name="texte" rows="15" cols="61"><?php echo $msg_texte; ?></textarea><br><br>
									
		<input name="submit" type="submit" value="Envoyer le message" style="position: relative; left: 100px;"><br><br>
		</td>
	</tr>
</table>

</form>
			
<script language="javascript" type="text/javascript">
<!--
info_code('out', '')
-->
</script>

</body>